Add Conversation Starter
curl --request POST \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Contact us",
"link": "",
"description": "How to contact you?"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters"
payload = {
"title": "Contact us",
"link": "",
"description": "How to contact you?"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Contact us', link: '', description: 'How to contact you?'})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Contact us',
'link' => '',
'description' => 'How to contact you?'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters"
payload := strings.NewReader("{\n \"title\": \"Contact us\",\n \"link\": \"\",\n \"description\": \"How to contact you?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Contact us\",\n \"link\": \"\",\n \"description\": \"How to contact you?\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Contact us\",\n \"link\": \"\",\n \"description\": \"How to contact you?\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Added conversation starter to the chatbot successfully",
"data": {}
}Conversation Starters
Add Conversation Starter
Add a new Conversation Starter to a particular chatbot.
POST
/
v0
/
chatbots
/
{chatbotId}
/
conversation-starters
Add Conversation Starter
curl --request POST \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Contact us",
"link": "",
"description": "How to contact you?"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters"
payload = {
"title": "Contact us",
"link": "",
"description": "How to contact you?"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Contact us', link: '', description: 'How to contact you?'})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => 'Contact us',
'link' => '',
'description' => 'How to contact you?'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters"
payload := strings.NewReader("{\n \"title\": \"Contact us\",\n \"link\": \"\",\n \"description\": \"How to contact you?\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"Contact us\",\n \"link\": \"\",\n \"description\": \"How to contact you?\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"Contact us\",\n \"link\": \"\",\n \"description\": \"How to contact you?\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Added conversation starter to the chatbot successfully",
"data": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Body
application/jsonapplication/xmlmultipart/form-datatext/html
Request body to add a conversation starter
Request Body
Title of the conversation-starter. This is the text that is shown as button in the chatbot.
Description of the conversation-starter. This is the message that will be sent to the chatbot when you click on the conversation-starter inside the chatbot.
Link of the conversation starter. If this link is added, then when you click on the conversation starter in the chatbot, this link will be opened instead of sending a message to the chatbot.
Was this page helpful?